#
# spec file for package gnome-games (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-games
BuildRequires:  check-devel
BuildRequires:  clutter-devel
BuildRequires:  clutter-gtk-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gconf2-devel
BuildRequires:  ggz-client-libs-devel
BuildRequires:  gir-repository
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-python-desktop
BuildRequires:  gobject-introspection-devel
BuildRequires:  guile-devel
BuildRequires:  intltool
BuildRequires:  libcanberra-devel
BuildRequires:  libggz2-devel
BuildRequires:  librsvg-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libxml2-devel
BuildRequires:  python-gtk-devel
BuildRequires:  update-desktop-files
License:        GPLv2+ ; LGPLv2.1+
Group:          Amusements/Games/Other
Version:        2.28.2
Release:        0.1.2
Summary:        Games for the GNOME 2.x Desktop
Source:         %{name}-%{version}.tar.bz2
Source2:        %{name}-create-post
# PATCH-FIX-UPSTREAM gnome-games-same-gnome-clutter-libdir.patch bgo#597399 dimstar@opensuse.org -- Extend LD_LIBRARY_PATH arch specific.
Patch0:         gnome-games-same-gnome-clutter-libdir.patch
# PATCH-FIX-UPSTREAM gnome-games-lightsoff-libdir.patch bgo#597409 dimstar@opensuse.org -- Extend LD_LIBRARY_PATH arch specific.
Patch1:         gnome-games-lightsoff-libdir.patch
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         /bin/chown /bin/chmod /bin/mv /bin/rm /usr/bin/touch
# Up to 10.2 it was a separate package:
Provides:       glchess
Obsoletes:      glchess
Requires:       chess_backend
Requires:       gnome-python-desktop
Requires:       python-gnome
Requires:       seed
Requires:       %{name}-lang = %{version}
Recommends:     python-opengl python-gtkglext
%py_requires
%if %suse_version <= 1110
%define python_sitelib %{py_sitedir}
%endif
%gconf_schemas_prereq

%description
This package contains a number of small games for the GNOME 2.x
Desktop. Gnome-games is part of the standard GNOME packages.



%lang_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1
cp -a %{S:2} .

%build
%configure \
    --disable-gnuchess \
    --disable-schemas-install \
    --disable-static \
    --disable-scrollkeeper \
    --enable-staging
make
# % __make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -name '*.la' -delete
bash gnome-games-create-post $RPM_BUILD_ROOT
%suse_update_desktop_file -G "Blackjack" -C "Play the casino card game Blackjack" blackjack
%suse_update_desktop_file -N "FreeCell" -G "Solitaire" -C "Play the popular FreeCell card game" -D aisleriot freecell
%suse_update_desktop_file -G "Puzzle Game" -C "Remove colored balls from the board by forming lines" glines
%suse_update_desktop_file -G "Connect Four" -C "Compete to make lines of the same color" gnect
%suse_update_desktop_file -G "Arcade Game" -C "Guide a worm around a maze" gnibbles
%suse_update_desktop_file -G "Arcade Game" -C "Avoid the robots and make them crash into each other" gnobots2
%suse_update_desktop_file -G "Tetris Game" -C "Fit falling blocks together" gnometris
%suse_update_desktop_file -G "Minesweeper-like Game" -C "Clear mines from a minefield" gnomine
%suse_update_desktop_file -G "Puzzle Game" -C "Play a puzzle game matching tiles together" gnotravex
%suse_update_desktop_file -G "Puzzle Game" -C "Solve puzzles by sliding blocks" gnotski
%suse_update_desktop_file -G "Board Game" -C "Play a poker-style dice game" gtali        BoardGame
%suse_update_desktop_file -G "Reversi" -C "Play a game of Reversi" iagno        BoardGame
%suse_update_desktop_file -G "Mahjongg" -C "Disassemble a pile of tiles by removing matching pairs" mahjongg
%suse_update_desktop_file -G "Puzzle Game" -C "Remove groups of balls to try and clear the screen" same-gnome
%suse_update_desktop_file -N "AisleRiot" -G "Solitaire" -C "Play many different solitaire games" -D aisleriot sol
%suse_update_desktop_file glchess
%suse_update_desktop_file gnome-sudoku
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/gnome-games
cat << EOF > $RPM_BUILD_ROOT/%{_datadir}/gnome-games/sgidlist
%{_bindir}/glines
%{_bindir}/gtali
%{_bindir}/gnibbles
%{_bindir}/gnomine
%{_bindir}/gnometris
%{_bindir}/gnotski
%{_bindir}/gnobots2
%{_bindir}/gnotravex
%{_bindir}/same-gnome
%{_bindir}/mahjongg
EOF
%find_lang %{name}
%find_lang aisleriot %{name}.lang
%find_lang blackjack %{name}.lang
%find_lang glchess %{name}.lang
%find_lang glines %{name}.lang
%find_lang gnect %{name}.lang
%find_lang gnibbles %{name}.lang
%find_lang gnobots2 %{name}.lang
%find_lang gnometris %{name}.lang
%find_lang gnome-sudoku %{name}.lang
%find_lang gnomine %{name}.lang
%find_lang gnotravex %{name}.lang
%find_lang gnotski %{name}.lang
%find_lang gtali %{name}.lang
%find_lang iagno %{name}.lang
%find_lang lightsoff %{name}.lang
%find_lang mahjongg %{name}.lang
%find_lang same-gnome %{name}.lang
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
#rm $RPM_BUILD_ROOT%{_libdir}/*/*/*.*a
# Create post scriptlet for updsating scores.
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%postun -p /sbin/ldconfig

%pre -f %{name}.schemas_pre

%post -f %{name}.scores_post
/sbin/ldconfig
%run_permissions
# Remove obsolete scores.
# Obsolete since 10.0&SLED10:
rm -f var/games/gnotski.38.scores var/games/gnotski.39.scores
# Obsolete since 10.3&SLED11:
rm -f var/games/games/gnome-stones.scores
%verifyscript
%verify_permissions -f %{_datadir}/gnome-games/sgidlist

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (0755, games, games)
%verify(not mode) %{_bindir}/glines
%verify(not mode) %{_bindir}/gnibbles
%verify(not mode) %{_bindir}/gnobots2
%verify(not mode) %{_bindir}/gnometris
%verify(not mode) %{_bindir}/gnomine
%verify(not mode) %{_bindir}/gnotravex
%verify(not mode) %{_bindir}/gnotski
%verify(not mode) %{_bindir}/gtali
%verify(not mode) %{_bindir}/mahjongg
%verify(not mode) %{_bindir}/same-gnome
%verify(not mode) %{_bindir}/same-gnome-clutter
%defattr (-, root, root)
%{_bindir}/blackjack
%{_bindir}/glchess
%{_bindir}/gnome-sudoku
%{_bindir}/gnect
%{_bindir}/iagno
%{_bindir}/lightsoff
%{_bindir}/sol
%{_libdir}/girepository-1.0/*.typelib
%dir %{_libdir}/gnome-games
%{_libdir}/gnome-games/gnome-games-render-cards
%{_libdir}/gnome-games/libgames-support-gi.*
%{_datadir}/applications/*.desktop
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gnome-games
%{_datadir}/gnome-games-common
%{python_sitelib}/glchess
%{python_sitelib}/gnome_sudoku
%{_datadir}/gnome-sudoku
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/glchess
%{_datadir}/ggz/gnome-games
%{_mandir}/man?/*
%{_sysconfdir}/ggz.modules
%defattr (0664, games, games)
# WARNING: If you are modifying this list,
# don't forget to remove obsolete scores in %post.
%ghost %{_localstatedir}/games/glines.Large.scores
%ghost %{_localstatedir}/games/glines.Medium.scores
%ghost %{_localstatedir}/games/glines.Small.scores
%ghost %{_localstatedir}/games/gnibbles.1.0.scores
%ghost %{_localstatedir}/games/gnibbles.1.1.scores
%ghost %{_localstatedir}/games/gnibbles.2.0.scores
%ghost %{_localstatedir}/games/gnibbles.2.1.scores
%ghost %{_localstatedir}/games/gnibbles.3.0.scores
%ghost %{_localstatedir}/games/gnibbles.3.1.scores
%ghost %{_localstatedir}/games/gnibbles.4.0.scores
%ghost %{_localstatedir}/games/gnibbles.4.1.scores
%ghost %{_localstatedir}/games/gnobots2.classic_robots-safe.scores
%ghost %{_localstatedir}/games/gnobots2.classic_robots-super-safe.scores
%ghost %{_localstatedir}/games/gnobots2.classic_robots.scores
%ghost %{_localstatedir}/games/gnobots2.nightmare-safe.scores
%ghost %{_localstatedir}/games/gnobots2.nightmare-super-safe.scores
%ghost %{_localstatedir}/games/gnobots2.nightmare.scores
%ghost %{_localstatedir}/games/gnobots2.robots2-safe.scores
%ghost %{_localstatedir}/games/gnobots2.robots2-super-safe.scores
%ghost %{_localstatedir}/games/gnobots2.robots2.scores
%ghost %{_localstatedir}/games/gnobots2.robots2_easy-safe.scores
%ghost %{_localstatedir}/games/gnobots2.robots2_easy-super-safe.scores
%ghost %{_localstatedir}/games/gnobots2.robots2_easy.scores
%ghost %{_localstatedir}/games/gnobots2.robots_with_safe_teleport-safe.scores
%ghost %{_localstatedir}/games/gnobots2.robots_with_safe_teleport-super-safe.scores
%ghost %{_localstatedir}/games/gnobots2.robots_with_safe_teleport.scores
%ghost %{_localstatedir}/games/gnometris.scores
%ghost %{_localstatedir}/games/gnomine.Custom.scores
%ghost %{_localstatedir}/games/gnomine.Large.scores
%ghost %{_localstatedir}/games/gnomine.Medium.scores
%ghost %{_localstatedir}/games/gnomine.Small.scores
%ghost %{_localstatedir}/games/gnotravex.2x2.scores
%ghost %{_localstatedir}/games/gnotravex.3x3.scores
%ghost %{_localstatedir}/games/gnotravex.4x4.scores
%ghost %{_localstatedir}/games/gnotravex.5x5.scores
%ghost %{_localstatedir}/games/gnotravex.6x6.scores
%ghost %{_localstatedir}/games/gnotski.1.scores
%ghost %{_localstatedir}/games/gnotski.10.scores
%ghost %{_localstatedir}/games/gnotski.11.scores
%ghost %{_localstatedir}/games/gnotski.12.scores
%ghost %{_localstatedir}/games/gnotski.13.scores
%ghost %{_localstatedir}/games/gnotski.14.scores
%ghost %{_localstatedir}/games/gnotski.15.scores
%ghost %{_localstatedir}/games/gnotski.16.scores
%ghost %{_localstatedir}/games/gnotski.17.scores
%ghost %{_localstatedir}/games/gnotski.18.scores
%ghost %{_localstatedir}/games/gnotski.19.scores
%ghost %{_localstatedir}/games/gnotski.2.scores
%ghost %{_localstatedir}/games/gnotski.20.scores
%ghost %{_localstatedir}/games/gnotski.21.scores
%ghost %{_localstatedir}/games/gnotski.22.scores
%ghost %{_localstatedir}/games/gnotski.23.scores
%ghost %{_localstatedir}/games/gnotski.24.scores
%ghost %{_localstatedir}/games/gnotski.25.scores
%ghost %{_localstatedir}/games/gnotski.26.scores
%ghost %{_localstatedir}/games/gnotski.27.scores
%ghost %{_localstatedir}/games/gnotski.28.scores
%ghost %{_localstatedir}/games/gnotski.29.scores
%ghost %{_localstatedir}/games/gnotski.3.scores
%ghost %{_localstatedir}/games/gnotski.30.scores
%ghost %{_localstatedir}/games/gnotski.31.scores
%ghost %{_localstatedir}/games/gnotski.32.scores
%ghost %{_localstatedir}/games/gnotski.33.scores
%ghost %{_localstatedir}/games/gnotski.34.scores
%ghost %{_localstatedir}/games/gnotski.35.scores
%ghost %{_localstatedir}/games/gnotski.36.scores
%ghost %{_localstatedir}/games/gnotski.37.scores
%ghost %{_localstatedir}/games/gnotski.4.scores
%ghost %{_localstatedir}/games/gnotski.5.scores
%ghost %{_localstatedir}/games/gnotski.6.scores
%ghost %{_localstatedir}/games/gnotski.7.scores
%ghost %{_localstatedir}/games/gnotski.8.scores
%ghost %{_localstatedir}/games/gnotski.9.scores
%ghost %{_localstatedir}/games/gtali.Colors.scores
%ghost %{_localstatedir}/games/gtali.Regular.scores
%ghost %{_localstatedir}/games/mahjongg.difficult.scores
%ghost %{_localstatedir}/games/mahjongg.easy.scores
%ghost %{_localstatedir}/games/same-gnome.Large.scores
%ghost %{_localstatedir}/games/same-gnome.Medium.scores
%ghost %{_localstatedir}/games/same-gnome.Small.scores
%ghost %{_localstatedir}/games/mahjongg.bridges.scores
%ghost %{_localstatedir}/games/mahjongg.cloud.scores
%ghost %{_localstatedir}/games/mahjongg.confounding.scores
%ghost %{_localstatedir}/games/mahjongg.dragon.scores
%ghost %{_localstatedir}/games/mahjongg.pyramid.scores
%ghost %{_localstatedir}/games/mahjongg.tictactoe.scores
%ghost %{_localstatedir}/games/mahjongg.ziggurat.scores

%files lang -f %{name}.lang

%changelog
* Thu Dec 17 2009 dimstar@opensuse.org
- Update to version 2.28.2:
  + Sudoku: fix crash.
  +  Maemo5 works
- Changes from version 2.28.1:
  + Aisleriot: Fix the Z-ordering
  + Updated translations.
* Mon Oct  5 2009 dimstar@opensuse.org
- Add gnome-games-same-gnome-clutter-libdir.patch - Detect the
  libraries in @libdir@/gnome/games instead if
  @prefix@/lib/gnome-games. Fixes partially bnc#540240.
- Same fix for lightsoff using gnome-games-lightsoff-libdir.patch.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + glChess:
  - bgo#446950 - Make default game use the AI chosen from the
    previous game
  - Remove unused signal from save_game.ui
  - bgo#577240 - Detect exceptions when in OpenGL code and
    disable 3d mode for next restart
  + Tali:
  - Make Tali 24x24 icon match changes to 22x22 icon
  + Updated translations and documentations.
- Add man pages to package.
* Thu Sep 10 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + General:
  - Add icon for GAMES_STOCK_START_NEW_GAME stock
  - Build fixes.
  - Work for GSeal-compliance.
  + Aisleriot:
  - Fix AisleriotBoard definition
  + Blackjack:
  - Fix warning on exit with gtk 2.17
  + GLChess:
  - Fix duplicate GtkBuilder object IDs
  - Detect resign and draw requests from CECP AIs
  - Make AI players claim draws where possible (bgo#592980)
  - Stop using deprecated BaseException.message (bgo#586581)
  + Gnibbles:
  - Hide notebook border too
  + Gnobots:
  - Move gnobots2 themes into separate directory (bgo#488974)
  + Gnometris:
  - First pass as implementing a GObject-based texture cache; has
    issues
  - solve most of the memory management issues
  - clean up some of the code carnage from my debugging
  - restore the functionality of the other themes
  - restore pixel-level precision to the block renderer
  - restore ligature-style animations for performance reasons
  - make the preview cell size depend on preview size; completes
    1.0 port
  - Speed up keypress handler even more for smoother move
    animations
  - center the preview widget correctly in main and settings UI
  + Gnomine:
  - Fix resizing button theme artifact, bgo#574118
  - Fix too many menuitems visible initially, bgo#592774
  - Fix a cosmetic issue with the menu XML in the code, bgo#592775
  - Fix keyboard mnemonics don't work, bgo#592776
  - Fix sensitivity handling glitch, bgo#592777
  + Sudoku:
  - Use smaller fonts and borders when printing to save ink
  + Build fixes.
  + Updated translations.
* Fri Sep  4 2009 vuntz@opensuse.org
- Add missing gnome-python-desktop and python-gnome Requires.
* Thu Aug 13 2009 vuntz@novell.com
- Update to version 2.27.90:
  + General:
  - Use clutter 1.0.
  + same-gnome-clutter:
  - Rough beginnings of high-scores display
  - Finish display of high scores.
  - Distribute schema.in files, remove C version of
    same-gnome-clutter
  - Use libgames-support conf code instead of gconf
  + lightsoff:
  - Code cleanup; put some functions on prototype for performance
  - Further code cleanup, commenting
  - Ensure level is never < 1 (causes infinite loop)
  - Distribute schema.in files
  + Updated translations.
- Drop gnome-games-clutter-1.0.patch.
- Remove gnome-common BuildRequires and gnome-autogen.sh call.
- Uncomment seed Requires and --enable-staging configure option.
- Package files for new staging games.
- Use python_sitelib instead of py_sitedir.
* Mon Aug  3 2009 vuntz@novell.com
- Add gnome-games-clutter-1.0.patch to fix build with clutter 1.0.
- Do not package omf files twice.
- Prepare for seed games (doesn't work right with this tarball, but
  will be fixed later with the next upstream version): add
  (commented out) seed Requires and (commented out)
  - -enable-staging configure option.
* Tue Jul 28 2009 dominique-obs@leuenberger.net
- Update to version 2.27.5:
  + Tim's branch supporting introspection was merged. A staging
    version of same-gnome with seed/clutter support has been added
  + General:
  - images folders of glchess and gnome-sudoku moved out of
    datadir/gnome-games again
  - Initial support to the commondatadir
  - GGZ-1.0.gir needs to be installed
  - GamesClock now works with multiple start()
  + Aisleriot:
  - Change license to GPL v3 or later
  + Lights Off:
  - Now uses Clutter 0.9
  - Improve translatability of ui file
  - don't remove js files during make clean
  - About dialog
  - Ingame help
  - Lots of cleanups
  - New GConf schemas for score and theme
  + Same Gnome (Clutter version):
  - Imported from the seed repository
  - Many fixes, mostly animation and stickyness problems
  - About dialog
  - Import the Theme Loader from Lights Off
  - Reset score on new game
  + Updated translations.
- Change files section for glchess to include subdirs.
- Delete all *.la files from the buildroot
- Pass --disable-static to configure
- Add gobject-introspection-devel and gir-repository to
  BuildRequires.
- Include new files in files section.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 2.27.4:
  + General:
    + Many bugfixes and cleanups.
    + Binreloc support.
    + Better maemo/win32 support.
    + Fix toolbar style to be user configurable (bgo#584615)
    + Fix games_sound_play_for_widget() for canberra
    + Set help error dialogue title to empty
    + Better error message when showing help fails
    + icons: Add prerendered icons for the "cards-deal" name
  + Aisleriot:
  - fix hinting in a rare situation in Spider
  - Hide toolbar at startup if requested
  - Add style property for the card/slot ratio
  + Mahjongg:
  - Update documentation.
- Changes from version 2.27.3:
  + General:
  - Many bug fixes.
  - Build fixes.
  - Update to current clutter API.
  - Changes for better maemo5 support.
  - Use g_mkdir_with_parents and mode 0700 to create the config
    dir
  - Doc fixes.
  + Gnometris:
  - Add annoying "bastard" mode
  + Aisleriot:
  - only allow moving builds of cards in Klondike-based games
  - add a hint for when there are too few cards in Spider games
  - change status message when dealing is impossible in Spider
    games
  - implement dealable feature in Carpet
  - implement dealable feature in Cruel
- Add check-devel BuildRequires.
* Thu Jun 11 2009 vuntz@novell.com
- Update to version 2.27.2:
  + General:
  - Lots of code cleanup.
  + Gnometris:
  - Finish port to clutter 0.9.
  + Chess:
  - Update tooltip style for info messages.
  + Aisleriot:
  - Add new game "Bear River"
- Change from version 2.27.1:
  + General:
  - Depend on clutter 0.9.3
  - Handle gst_element_factory_make() returning NULL
  - Port to GtkCellRendererAccel
  - Remove extraneous widget packing
  - Add --enable-aisleriot-clutter configure option
  - Don't append ? on ghelp URI with NULL section
  - Add Pulse Support to Docs
  - Fixed DocBook validity in help translations
  - Use g_timeout_add_seconds when available
  - Support shave autofoo and libtool output
  - Fix GAMES_DEBUG=sound
  - Use libcanberra as default sound option
  - Hide the Sound menu item if the global setting is disabled
  + Aisleriot:
  - Implement dealable feature in Bristol, Camelot, Canfield
  - Upgrade to clutter 0.9
  - Add a guide to making a new game for aisleriot
  - Use the default about dialogue hooks
  + Chess:
  - Update our copy of GNUChess for POSIX 2008 compatibility
  - Add a new display mode - face-to-face
  - Only allow selecting with the primary mouse button
  - Port to GtkBuilder
  + Gnometris:
  - Remove our private copy of clutter-embed.h
  - Remove noclutter version
  - Switch to new-style clutter includes and initialization
  + Gnomine:
  - Fix pause/resume with the pause key
  - Code cleanup
  + Lights Off:
  - Use new import mechanism to work with seed >=0.5
  + Same-gnome:
  - Update DOC_FIGURES
  + Sudoku:
  - Massive code cleanup
  - Port to GtkBuilder
  - Distribute 150 very hard puzzles instead of 20
  + Updated translations.
- Add clutter-devel, clutter-gtk-devel, libcanberra-devel
  BuildRequires.
- Remove SDL-devel, gstreamer010-devel, libglade2-devel,
  libgnomeui-devel, scrollkeeper BuildRequires.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Make desktop files valid.
  + Update smclient code from libegg.
  + Fix build with --enable-games=glchess
  + Don't kill worm by pressing backwards (bgo#516992)
  + Fix crash when undoing a pawn promotion (bgo#577395)
  + Only allow one number picker at a time (bgo#530778)
  + Ignore malformed savegames (bgo#516491)
  + Updated translations.
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Aisleriot:
  - When using Clutter, draw Aisleriot card movement animations
    to empty stacks correctly
  + Sudoku:
  - Fix crasher bug where the a dict was being changed in one
    thread while another was iterating over the dict.
    (bgo#529792)
  - Fixes a crasher bug when numpy is not installed. (bgo#416249)
  + Updated translations.
* Mon Mar  9 2009 vuntz@novell.com
- Add scrollkeeper BuildRequires to fix build.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + Aisleriot:
  - Add creator of "Tango" card set to Artists tab in the Credits
    dialogue
  + Chess:
  - Stop king castling when blocked by pawn
  - Use gtk.show_uri to show help
  + Gnometris:
  - Bump the required version of clutter to 0.8.8
  + Sudoku:
  - Use gtk.show_uri to show help
  + Updated translations.
- Remove -fno-strict-aliasing from CFLAGS.
* Tue Feb 17 2009 vuntz@novell.com
- Update to version 2.25.91:
  + General:
  - Send bug from bugbuddy to new component 'BugBuddyBugs'
  - Rewrite of GamesFrame
  - Code cleanups
  - Autogenerate changelogs in po/ from commitlogs
  + Aisleriot:
  - Fix cards disappearing without pairs in Thirteen
  - Be more strict about allowing drops in Valentine
  - Fix crash when clicking an empty stock in Sir Tommy
  - Always reshuffle the deck properly in Scuffle
  - Respect the temporary slot setting in the hint code in Ten
    Across
  + Chess:
  - Fixed a translator comment
  + Gnometris:
  - New clutter rendering engine
  + Updated translations.
- Do not enable the clutter rendering engine for Gnometris since
  it's not working without hardware acceleration.
* Tue Feb  3 2009 mboman@suse.de
- Update to version 2.25.90:
  + General:
  * Separate needed CFLAGS into each games makefile
  * Fix warnings with -DGDK_PIXBUF_DISABLE_DEPRECATED
  + Aisleriot:
  * Fix compiler warnings
  + Chess:
  * Fix GGZ config file exception handler typo
  + Gnometris:
  * Translate renderer-noclutter.cpp not renderer.cpp
  * Fix for crash when setting background image by dnd
  + Mahjongg:
  * Add scalable icon
  + Translation updates
* Sun Feb  1 2009 vuntz@novell.com
- Remove unneeded dependencies: gob2, perl-XML-Parser
- Remove checks for old versions of openSUSE, which makes it
  possible to remove permissions.tar.bz2.
* Tue Jan  6 2009 mboman@suse.de
- Update to version 2.25.5:
  + General:
  * Move GThread and gettext initialisation into games_runtime_init()
  * Refactored card themes code
  * Change xml entities to utf-8
  * Fixed typoed XML files
  * Allow ChangeLog from git-svn
  * Distcheck and warning fixes
  * Add msg context to translations
  + Aisleriot:
  * Reduce memory usage in aisleriot/clutter by only caching the
    card textures and not the GdkPixbufs
  * Reduce graphics memory usage by drawing highlighted cards with
    a different colour instead of creating a separate texture for it
  * New game "Accordion" (bgo#526392)
  * Fix Treize in click-to-move mode
  + Chess:
  * Add ability to resign AI vs. AI games
  * Made GGZ config writable so dialogs can update it
  * Added dialog to add new network profiles
  * Added undo support
  + Translation updates
* Tue Jan  6 2009 mboman@suse.de
- Update to version 2.25.4:
  + Gnometris:
  - Implement Clutter-based rendering surfaces
  + GLChess:
  - Catch keyboard interrupts in AI monitor process
  - Apply antialias setting on new game (bgo#565743)
  - Ignore unexpected messages from the GGZ server (bgo#559193, bgo#562482)
  - Fix UI bug when players join a room
  - Change GGZ language from hardcoded en_NZ.UTF-8 to use environment
    variable LANG (bgo#565402)
  - Describe reason for GGZ disconnection (bgo#564515)
  - Mark load game filters as translatable (bgo#565162)
  + Translation updates
* Wed Dec 24 2008 mboman@suse.de
- Update to version 2.25.3:
  + Too many updates/fixes to list. Please see NEWS for full details.
- Remove gnome-games-desktop.patch. Handled by %%suse_update_desktop_file
* Wed Oct 22 2008 maw@suse.de
- Update to version 2.24.1:
  + Stability improvements in GLChess
  + Bugs fixed: bgo#553484, bgo#544389, bgo#553458, bgo#553982,
    bgo#551844, bgo#551427, bgo#554108, bgo#545155, bgo#548916,
    bgo#552391, bgo#546702, bgo#555567, bgo#530425, bgo#554746,
    bgo#535256, bgo#538252, bgo#537673, bgo#556155, bgo#530380,
    and bgo#550023
  + Updated translations.
* Wed Oct  1 2008 mboman@suse.de
- Update to version 2.24.0:
  + Translation updates
* Mon Sep 15 2008 mboman@novell.com
- Update to version 2.23.92:
  + Aisleriot:
  * Fix bug where double click no longer sends card to free cell
  + Blackjack:
  * Fix language in help
  + GLChess:
  * Fix promotion_type GConf key default from 'human' to 'queen'
  + Sudoku:
  - Stop the dancer when undoing after win. (bgo#532357)
  + Translation updates
* Tue Aug 26 2008 mboman@novell.com
- Updated to 2.23.90:
  + Aisleriot:
    Add "changed" signal to GamesCardTheme.
    Get the cairo font options from the screen instead of creating them
    from the gtk settings.
    Take the antialias setting from the font options instead of storing it
    separately.
  + Chess:
    Fix save related crasher.
    Chess now works if gconf is read-only.
    Keep checkboxes for "3D view" in synch
  + Sudoku:
    Don't create temp files when drawing thumbnails.
    Show All Hints now works on at start of new game.
    Undo/redo is now unsensitive at start of new game.
    Start timer when puzzle is selected, not at game start.
    Active time should never be more that total time.
* Tue Aug  5 2008 captain.magnus@opensuse.org
- Updated to 2.23.6
  + Blackjack - Revert bogus patch from bug bgo#444806 (Christian Persch)
  + Updated translations
  + GLChess:
  - Give users a helpful error message when python-support has missing modules.
    (Jason D. Clinton, Justin Dugger, Dani Nordli, Bug bgo#524665)
  - Add fix for blank playing field from Ubuntu Launchpad (rhussey, Ubuntu
    Bug lp#239905)
  - Fix improper use of openGLErrors list (Jason D. Clinton, Gubianas, Bug
    bgo#530981)
  - Disable network controls when disconnected (Robert Ancell, Bug bgo#523818)
  - Handle empty combo boxes in the preferences dialog (Robert Ancell, Bug
    bgo#532908)
  - Don't disable load button on load dialog as we cannot tell if the user has
    selected a valid file (Robert Ancell, Bug bgo#540527)
  - Catch GLU exception making numbering texture and fall back to non-mipmapped
    version (Robert Ancell, Bug bgo#542253)
  + Gnibbles:
  - Patch to support CAPSLOCK key in Gnibbles (Emil Andersson, Thomas H.P.
    Andersen, Bug bgo#472355)
  + Gnobots:
  - Allow CAPSLOCK with directional buttons (Emil Andersson, Bug bgo#540755)
  + Gnometris:
  - Allow CAPSLOCK with directional buttons (Emil Andersson, Bug bgo#540740)
  + Gnomine:
  - Allow user to flag a mine by holding the control key. (Emil Andersson.
    Bug bgo#539725)
  - Handle double right-click correctly as a result of this fix (Thomas H.P.
    Andersen)
  - Handle right click dragging. (Thomas H.P. Andersen, Bug bgo#515497)
  + Aisleriot:
  - Add statusbar toggle to View menu. Makes the game more playable on small
    screens (e.g. eeepc) by allowing to enlarge the vertical space available.
    (Christian Persch)
* Tue Jun 24 2008 mauro@suse.de
- Update to 2.23.4
  + Gnibbles - Improved AI search algorithm.
  + General code clean up
  + Updated translations.
  + Bugfixing: bgo#53255, bgo#532555, bgo#532553, bgo#528953,
    bgo#524665, bgo#520599, bgo#510917, bgo#406267, bgo#525177,
    bgo#443307, bgo#519554, bgo#512068, bgo#521623, bgo#522341,
    bgo#503238.
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.22.1.1:
  + Merge changes in ggz.m4 from ggz trunk (bgo#520599 and
    bgo#510917)
  + Aisleriot:
  * Add back the statistics fallback (bgo#406267 and bgo#525177)
  * Don't allow moving non-uniformly suited card stacks to
    foundation (bgo#443307)
  * Make shuffle-deck-helper tail recursive. Fixes stack overflow
    exception with guile 1.8.4 (bgo#519554)
  + GLChess:
  * Abort 3D render if widget_get_gl_context() returns None
    (bgo#512068)
  * Add Gambit Fruit to AI list (Robert Ancell, bug bgo#521623)
  * Handle AI players dying before the game starts (bgo#522341)
  * Handle GLError->GLerror, GLUError -> GLUerror objects being
    renamed in PyOpenGL 3.0 (bgo#503238)
  * Fix board rotation animation bug when viewing black side
  + Sudoku:
  * Don't crash when clearing a tracker
  * Handle when no more puzzles of a certain difficulty exists
  * Don't always show the same puzzle until it has been
    completed or saved
  * Fix crash on cancel in new game dialog
  + Updated translations.
* Tue Mar 25 2008 maw@suse.de
- Update to version 2.22.0:
  + Various bugxies
  + Updated translations.
* Wed Mar  5 2008 maw@suse.de
- Update to version 2.21.92:
  + Various bugfixes
  + Updated translations.
* Wed Nov 14 2007 jpr@suse.de
- Recommend python-opengl and python-gtkglext (#340882)
- Disable the built in gnuchess build
- Require the meta requirment chess_backend
* Thu Sep 20 2007 maw@suse.de
- Update to version 2.20.0.1:
  + Fixes a broken gnome-sudoku .desktop file.
* Tue Sep 18 2007 maw@suse.de
- Update to version 2.20.0:
  + Aisleriot:
  * Fix timer suspend on window iconification; and fix the
    corrupted statistics on load
  * Revert the spider options order in menu
  + Gnometris
  * pre-filled rows, and density of blocks in a pre-filled row
    works again
  + Nibbles
  * Add missing includes
  + Robots:
  * Add prototype for load_keys() to silence warning
  + GGZ:
  * Add included ggzdmod to build path
  + Updated translations.
* Mon Sep 10 2007 maw@suse.de
- Update to versino 2.19.92:
  + Aislerot:
  * Remove ellipsis from "Select game" button on toolbar
  * Remove stray debug spew
  + Robots:
  * Updated docs
  * Apply keys when closing preferences instead of when
    restarting game
  * Unfocus the toolbar to prevent accidentally starting a game
    by pressing space
  + Sudoku:
  * Don't crash if puzzle generator target is zero
  + Tetravex:
  * Blank tiles when game is paused
  * Remove dead code
  + Updated translations.
* Fri Sep  7 2007 sbrabec@suse.cz
- Fixed %%post to correctly update scores (#309145).
* Fri Aug 31 2007 maw@suse.de
- Update to version 2.19.91.1:
  (bug numbers are for bugzilla.gnome.org)
  Aisleriot:
  - Fix translation of "Autoplay" in Napoleons Tomb (#469363).
  Gnometris:
  - New default theme with tango styled blocks and a new background image.
  - Remove gaussian blur in background image to improve rendering performance.
  Mahjongg:
  - Improved listing of themes (bug #406856).
  - Fix workaround for bug #353964.
  Tetravex:
  - New tango-fied tetravex icon with colours (bug #451830).
  Sudoku:
  - Fix a crash when solving a sudoku, caused by a type mismatch (#470523).
  glChess:
  - Fix a startup crash in glChess: Bug #471238..
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Thu Aug  2 2007 maw@suse.de
- Update to version 2.19.6:
  + Compilation fixes
  + All games except gnomine have been ported to use the GamesConf API
  + Aislerot:
  * New game: Napoleon's Tomb
  * Sound support
  * Misc. fixes
  + Tali:
  * Minor .desktop file changes
  + Sudoku:
  * Misc. fixes
  + Gnobots:
  * Misc. fixes
- Respin gnome-games-desktop.patch
- Use %%fdupes.
* Tue Jul 10 2007 maw@suse.de
- Update to version 2.19.4
- Many bugfixes.
* Mon Jun 11 2007 sbrabec@suse.cz
- Provide and obsolete glchess.
* Thu May 24 2007 stbinner@suse.de
- remove X-SuSE-translate from .desktop files patches
* Mon May 14 2007 pgajdos@suse.cz
- removed gnome-icon-theme from Requires and BuildRequires
  [#247450]
* Fri Apr 27 2007 sbrabec@suse.cz
- Do not call meinproc (#227624).
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.18.1
- Fixes for gnome sudoku (#409739, #417191, #422748, #380780,
  [#413848], #406767, and #409740, all at bugzilla.gnome.org)
- Updated translations for a various locales.
* Thu Apr  5 2007 maw@suse.de
- Own a number of directories that were previously unowned.
* Thu Apr  5 2007 maw@suse.de
- Bring gnome-games-desktop.patch closer to SUSE's standard.
* Wed Apr  4 2007 maw@suse.de
- Update to version 2.18.0
- New games, glchess and gnome-sudoku
- Refresh gnome-games-desktop.patch (gnome-games no longer
  includes gataxx)
- Remove references to gataxx in the .spec
- b.g.o 408331, 406664, 406712, 406756, 398471, 404317, and 401895
- Update BuildRequires.
* Fri Mar  9 2007 sbrabec@suse.cz
- Removed obsolete hicolor icon symlink (#248676).
* Sat Jan 27 2007 ro@suse.de
- change default permissions for games to 0755
  (permission set "secure")
* Thu Jan  4 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Fri Oct 13 2006 danw@suse.de
- Remove dead patch
* Fri Oct 13 2006 aj@suse.de
- Fix BuildRequires for guile.
* Mon Oct  2 2006 jhargadon@suse.de
- update to version 2.16.1
- Install all icon sizes for the games
- Remove compilation warings
- Correct a link in Aisleriot's documentation
- translation updates
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 2.15.92
- Updated GTali, Gnomines, Gnibbles, Gataxx and Iagno menu icons
  and added SVG versions of those from Daniel Derozier
- Updated translations
* Wed Aug 23 2006 jhargadon@suse.de
- update to version 2.15.6
- updates to translations
- fix crasher bug #342038
- fix rendering of prelight #349696
* Fri Aug 11 2006 jhargadon@suse.de
- update to version 2.15.5
- The pause game option now behaves consistently
- Improved the desktop file summaries of all games.
- gnome-stones has been removed.
* Mon Mar 27 2006 gekker@suse.de
- Disable Zeroconf support (#160630)
* Mon Mar 13 2006 sreeves@suse.de
- More Updates to .desktop file (Name, GenericName, Comment, DocPath)
* Fri Mar  3 2006 sbrabec@suse.cz
- Fixed BuildRequires (added C++).
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Sat Feb 18 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Feb 15 2006 gekker@suse.de
- Fix crasher bug in gnomines (b.g.o#320713)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 gekker@suse.de
- Update to version 2.12.2
* Thu Oct 13 2005 gekker@suse.de
- Update to version 2.12.1
- Remove upstreamed patch
* Thu Sep 22 2005 sbrabec@suse.cz
- Fixed Persian translation (#61490).
* Thu Sep 15 2005 sbrabec@suse.cz
- Build with gob2.
- Worked-around iagno permissions clash for PLUS.
* Mon Sep  5 2005 mmj@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Wed Aug 24 2005 ke@suse.de
- Fix xml files.  Reported by Olaf Hering, see bug #112642
* Mon Aug 22 2005 rodrigo@suse.de
- Update to version 2.11.5
* Thu Aug 11 2005 gekker@suse.de
- Update to version 2.11.4
* Wed Aug 10 2005 sbrabec@suse.cz
- Updated permissions (#103844).
- Removed obsolete scores.
* Tue Aug  2 2005 gekker@suse.de
- Update to version 2.11.3
* Fri Jun 24 2005 gekker@suse.de
- Update to version 2.11.1
* Wed Mar  9 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar  3 2005 gekker@suse.de
- Update to version 2.9.7
* Fri Feb 11 2005 gekker@suse.de
- Update to version 2.9.6
* Sun Feb  6 2005 gekker@suse.de
- Update to version 2.9.5
* Tue Feb  1 2005 meissner@suse.de
- 0->NULL in one gtk call.
* Fri Jan 21 2005 clahey@suse.de
- Updated to version 2.9.4.
* Wed Jan  5 2005 gekker@suse.de
- Update to version 2.9.3
- Remove 64-bit patch (upstreamed).
* Tue Nov 23 2004 hvogel@suse.de
- correct desktop files
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Mon Sep 27 2004 sbrabec@suse.cz
- More 64-bit problems fixed (#45253).
* Wed Sep 22 2004 sbrabec@suse.cz
- Fixed gnometris crash (#45728).
* Tue Sep  7 2004 sbrabec@suse.cz
- Generated shared mime info.
* Tue Aug 31 2004 clahey@suse.de
- Don't call --check as many of these docs fail the check.
* Thu Aug 26 2004 clahey@suse.de
- Cache gnome-games help and make gnome-games show up in khelpcenter.
* Wed May 12 2004 clahey@suse.de
- Added libcroco-devel builddep.
* Thu Apr 29 2004 hhetter@suse.de
- updated to version 2.6.0.1 [GNOME 2.6]
- include new mahjongg scores
* Wed Mar 17 2004 sbrabec@suse.cz
- Fixed scrollkeeper calling conventions (#36215).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Fri Feb 20 2004 sbrabec@suse.cz
- Package renamed to gnome-games.
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Tue Jan 27 2004 hhetter@suse.de
- updated to version 2.4.2
* Mon Jan 12 2004 ro@suse.de
- removed duplicate %%post
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Tue Nov  4 2003 ro@suse.de
- package according to permissions.secure and add run_permissions
* Mon Oct 27 2003 sbrabec@suse.cz
- Updated to version 2.4.1.
* Wed Oct 15 2003 ro@suse.de
- use special permissions files to build on PLUS
* Thu Oct  9 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Sat Sep 20 2003 kukuk@suse.de
- Provide/Obsolete gnome-games
* Thu Sep 18 2003 kukuk@suse.de
- Game binaries should be owner games, too.
* Wed Sep 17 2003 sbrabec@suse.cz
- Fixed permissions (bug #31103).
* Sun Sep  7 2003 adrian@suse.de
- add Categories
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jul  3 2003 hhetter@suse.de
- updated to version 2.2.1
* Fri Jun 27 2003 sbrabec@suse.cz
- Updated neededforbuild.
- Fixed packaging of files.
- FHS fix (enables saving scores).
* Fri Feb 21 2003 sbrabec@suse.cz
- Fixed %%files.
- Added docs.
- Fixed typo in FPI in gnotski-C.omf.
* Tue Jan 28 2003 hhetter@suse.de
- updated to version 2.2.0
* Thu Jan 16 2003 sbrabec@suse.cz
- Added libjpeg to neededforbuild.
* Mon Nov 18 2002 hhetter@suse.de
- updated to version 2.0.6, pure translation update
* Thu Oct 31 2002 hhetter@suse.de
- updated to version 2.0.4
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Aug 20 2002 hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 13 2002 hhetter@suse.de
- updated to version 2.0.3
* Mon Aug 12 2002 ro@suse.de
- removed control-center from neededforbuild
* Fri Aug  2 2002 ro@suse.de
- fix file-list: no defattr root for files
  that should be sgid games
* Wed Jul 31 2002 hhetter@suse.de
- initiate scrollkeeper update
* Sat Jul 27 2002 adrian@suse.de
- add %%run_ldconfig
* Tue Jul 16 2002 hhetter@suse.de
- fixed filelist
* Thu Jun 20 2002 jordi@suse.de
- updated to version 2.0.1
* Fri Jun 14 2002 hhetter@suse.de
- provide schemas
* Thu Jun 13 2002 hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 11 2002 ro@suse.de
- fix libdir usage
* Mon Jun 10 2002 hhetter@suse.de
- initial SuSE package
